Tomcat 7, it’s Nearly Here

EasyApache 3.20 Impending Release

We are proud to announce the impending release of EasyApache 3.20, which includes the long-awaited Tomcat version 7.

Thank you for using the Feature Request System to share your stories about how you have deployed and used Tomcat. You have helped guide us through the development process so that the migration from Tomcat 5.5 to Tomcat 7 is as headache-free as possible for you. The value of your feedback is immeasurable. We thank you for it, and encourage it.

Some of the benefits of Tomcat 7:

 
– Several Patches from Apache for Tomcat 7

Tomcat 7 Patches

– Simplified Library Structure

– Support for Java 6 and 7

– JSP 2.2

– JSP 2.2 Expression Language Specifications

– Servlet 3.0 (Supports Asynchronous Servlets)

– Protection against Cross-Site Request Forgery (CRFS) Attacks

– Simplified XML and Cookie Validation

  • And So Much More!

Tomcat 7 is the first EasyApache install to take advantage of our robust and reliable RPM distribution system. Tomcat 7 uses the OpenJDK 7 RPM that is provided by your operating system. Therefore, Tomcat 7 is only available if you run CentOS version 5.9, 6.3, 6.4, or later.

Also, Tomcat 7 will require cPanel & WHM 11.38.0.8 or later, and Apache 2.2 or later to run. All the more reason to update to the latest build of cPanel & WHM!

We will be adjusting our Tomcat documentation to take into account the requirements and parameters in the new version.  However, the original documentation will remain available should you still need additional time to plan out your migration to the new version.

Also, keep in mind that Tomcat administration is not a simple task, and we strongly urge you to have an experienced Tomcat administrator available to manage your installation.

This entry was posted in Product Development and tagged , , . Bookmark the permalink.
  • Pocho

    Cuando saldrá?? alguna fecha estimativa?

  • @mariorodriguez 

    The cat will soon be out of the bag!